Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network106.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
106.0.0.0
Broadcast address
107.255.255.255
First usable
106.0.0.1
Last usable
107.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 6A000000 · Integer 1778384896 to 1811939327
Reverse DNS zones
106.in-addr.arpa
107.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101010.00000000.00000000.00000000106.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01101010.00000000.00000000.00000000106.0.0.0
Broadcast01101011.11111111.11111111.11111111107.255.255.255
Split into smaller subnets/17

106.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1106.0.0.0/17106.0.0.1 to 106.0.127.254106.0.127.25532,766
2106.0.128.0/17106.0.128.1 to 106.0.255.254106.0.255.25532,766
3106.1.0.0/17106.1.0.1 to 106.1.127.254106.1.127.25532,766
4106.1.128.0/17106.1.128.1 to 106.1.255.254106.1.255.25532,766
5106.2.0.0/17106.2.0.1 to 106.2.127.254106.2.127.25532,766
6106.2.128.0/17106.2.128.1 to 106.2.255.254106.2.255.25532,766
7106.3.0.0/17106.3.0.1 to 106.3.127.254106.3.127.25532,766
8106.3.128.0/17106.3.128.1 to 106.3.255.254106.3.255.25532,766
9106.4.0.0/17106.4.0.1 to 106.4.127.254106.4.127.25532,766
10106.4.128.0/17106.4.128.1 to 106.4.255.254106.4.255.25532,766
11106.5.0.0/17106.5.0.1 to 106.5.127.254106.5.127.25532,766
12106.5.128.0/17106.5.128.1 to 106.5.255.254106.5.255.25532,766
13106.6.0.0/17106.6.0.1 to 106.6.127.254106.6.127.25532,766
14106.6.128.0/17106.6.128.1 to 106.6.255.254106.6.255.25532,766
15106.7.0.0/17106.7.0.1 to 106.7.127.254106.7.127.25532,766
16106.7.128.0/17106.7.128.1 to 106.7.255.254106.7.255.25532,766
17106.8.0.0/17106.8.0.1 to 106.8.127.254106.8.127.25532,766
18106.8.128.0/17106.8.128.1 to 106.8.255.254106.8.255.25532,766
19106.9.0.0/17106.9.0.1 to 106.9.127.254106.9.127.25532,766
20106.9.128.0/17106.9.128.1 to 106.9.255.254106.9.255.25532,766
21106.10.0.0/17106.10.0.1 to 106.10.127.254106.10.127.25532,766
22106.10.128.0/17106.10.128.1 to 106.10.255.254106.10.255.25532,766
23106.11.0.0/17106.11.0.1 to 106.11.127.254106.11.127.25532,766
24106.11.128.0/17106.11.128.1 to 106.11.255.254106.11.255.25532,766
25106.12.0.0/17106.12.0.1 to 106.12.127.254106.12.127.25532,766
26106.12.128.0/17106.12.128.1 to 106.12.255.254106.12.255.25532,766
27106.13.0.0/17106.13.0.1 to 106.13.127.254106.13.127.25532,766
28106.13.128.0/17106.13.128.1 to 106.13.255.254106.13.255.25532,766
29106.14.0.0/17106.14.0.1 to 106.14.127.254106.14.127.25532,766
30106.14.128.0/17106.14.128.1 to 106.14.255.254106.14.255.25532,766
31106.15.0.0/17106.15.0.1 to 106.15.127.254106.15.127.25532,766
32106.15.128.0/17106.15.128.1 to 106.15.255.254106.15.255.25532,766
33106.16.0.0/17106.16.0.1 to 106.16.127.254106.16.127.25532,766
34106.16.128.0/17106.16.128.1 to 106.16.255.254106.16.255.25532,766
35106.17.0.0/17106.17.0.1 to 106.17.127.254106.17.127.25532,766
36106.17.128.0/17106.17.128.1 to 106.17.255.254106.17.255.25532,766
37106.18.0.0/17106.18.0.1 to 106.18.127.254106.18.127.25532,766
38106.18.128.0/17106.18.128.1 to 106.18.255.254106.18.255.25532,766
39106.19.0.0/17106.19.0.1 to 106.19.127.254106.19.127.25532,766
40106.19.128.0/17106.19.128.1 to 106.19.255.254106.19.255.25532,766
41106.20.0.0/17106.20.0.1 to 106.20.127.254106.20.127.25532,766
42106.20.128.0/17106.20.128.1 to 106.20.255.254106.20.255.25532,766
43106.21.0.0/17106.21.0.1 to 106.21.127.254106.21.127.25532,766
44106.21.128.0/17106.21.128.1 to 106.21.255.254106.21.255.25532,766
45106.22.0.0/17106.22.0.1 to 106.22.127.254106.22.127.25532,766
46106.22.128.0/17106.22.128.1 to 106.22.255.254106.22.255.25532,766
47106.23.0.0/17106.23.0.1 to 106.23.127.254106.23.127.25532,766
48106.23.128.0/17106.23.128.1 to 106.23.255.254106.23.255.25532,766
49106.24.0.0/17106.24.0.1 to 106.24.127.254106.24.127.25532,766
50106.24.128.0/17106.24.128.1 to 106.24.255.254106.24.255.25532,766
51106.25.0.0/17106.25.0.1 to 106.25.127.254106.25.127.25532,766
52106.25.128.0/17106.25.128.1 to 106.25.255.254106.25.255.25532,766
53106.26.0.0/17106.26.0.1 to 106.26.127.254106.26.127.25532,766
54106.26.128.0/17106.26.128.1 to 106.26.255.254106.26.255.25532,766
55106.27.0.0/17106.27.0.1 to 106.27.127.254106.27.127.25532,766
56106.27.128.0/17106.27.128.1 to 106.27.255.254106.27.255.25532,766
57106.28.0.0/17106.28.0.1 to 106.28.127.254106.28.127.25532,766
58106.28.128.0/17106.28.128.1 to 106.28.255.254106.28.255.25532,766
59106.29.0.0/17106.29.0.1 to 106.29.127.254106.29.127.25532,766
60106.29.128.0/17106.29.128.1 to 106.29.255.254106.29.255.25532,766
61106.30.0.0/17106.30.0.1 to 106.30.127.254106.30.127.25532,766
62106.30.128.0/17106.30.128.1 to 106.30.255.254106.30.255.25532,766
63106.31.0.0/17106.31.0.1 to 106.31.127.254106.31.127.25532,766
64106.31.128.0/17106.31.128.1 to 106.31.255.254106.31.255.25532,766
65106.32.0.0/17106.32.0.1 to 106.32.127.254106.32.127.25532,766
66106.32.128.0/17106.32.128.1 to 106.32.255.254106.32.255.25532,766
67106.33.0.0/17106.33.0.1 to 106.33.127.254106.33.127.25532,766
68106.33.128.0/17106.33.128.1 to 106.33.255.254106.33.255.25532,766
69106.34.0.0/17106.34.0.1 to 106.34.127.254106.34.127.25532,766
70106.34.128.0/17106.34.128.1 to 106.34.255.254106.34.255.25532,766
71106.35.0.0/17106.35.0.1 to 106.35.127.254106.35.127.25532,766
72106.35.128.0/17106.35.128.1 to 106.35.255.254106.35.255.25532,766
73106.36.0.0/17106.36.0.1 to 106.36.127.254106.36.127.25532,766
74106.36.128.0/17106.36.128.1 to 106.36.255.254106.36.255.25532,766
75106.37.0.0/17106.37.0.1 to 106.37.127.254106.37.127.25532,766
76106.37.128.0/17106.37.128.1 to 106.37.255.254106.37.255.25532,766
77106.38.0.0/17106.38.0.1 to 106.38.127.254106.38.127.25532,766
78106.38.128.0/17106.38.128.1 to 106.38.255.254106.38.255.25532,766
79106.39.0.0/17106.39.0.1 to 106.39.127.254106.39.127.25532,766
80106.39.128.0/17106.39.128.1 to 106.39.255.254106.39.255.25532,766
81106.40.0.0/17106.40.0.1 to 106.40.127.254106.40.127.25532,766
82106.40.128.0/17106.40.128.1 to 106.40.255.254106.40.255.25532,766
83106.41.0.0/17106.41.0.1 to 106.41.127.254106.41.127.25532,766
84106.41.128.0/17106.41.128.1 to 106.41.255.254106.41.255.25532,766
85106.42.0.0/17106.42.0.1 to 106.42.127.254106.42.127.25532,766
86106.42.128.0/17106.42.128.1 to 106.42.255.254106.42.255.25532,766
87106.43.0.0/17106.43.0.1 to 106.43.127.254106.43.127.25532,766
88106.43.128.0/17106.43.128.1 to 106.43.255.254106.43.255.25532,766
89106.44.0.0/17106.44.0.1 to 106.44.127.254106.44.127.25532,766
90106.44.128.0/17106.44.128.1 to 106.44.255.254106.44.255.25532,766
91106.45.0.0/17106.45.0.1 to 106.45.127.254106.45.127.25532,766
92106.45.128.0/17106.45.128.1 to 106.45.255.254106.45.255.25532,766
93106.46.0.0/17106.46.0.1 to 106.46.127.254106.46.127.25532,766
94106.46.128.0/17106.46.128.1 to 106.46.255.254106.46.255.25532,766
95106.47.0.0/17106.47.0.1 to 106.47.127.254106.47.127.25532,766
96106.47.128.0/17106.47.128.1 to 106.47.255.254106.47.255.25532,766
97106.48.0.0/17106.48.0.1 to 106.48.127.254106.48.127.25532,766
98106.48.128.0/17106.48.128.1 to 106.48.255.254106.48.255.25532,766
99106.49.0.0/17106.49.0.1 to 106.49.127.254106.49.127.25532,766
100106.49.128.0/17106.49.128.1 to 106.49.255.254106.49.255.25532,766
101106.50.0.0/17106.50.0.1 to 106.50.127.254106.50.127.25532,766
102106.50.128.0/17106.50.128.1 to 106.50.255.254106.50.255.25532,766
103106.51.0.0/17106.51.0.1 to 106.51.127.254106.51.127.25532,766
104106.51.128.0/17106.51.128.1 to 106.51.255.254106.51.255.25532,766
105106.52.0.0/17106.52.0.1 to 106.52.127.254106.52.127.25532,766
106106.52.128.0/17106.52.128.1 to 106.52.255.254106.52.255.25532,766
107106.53.0.0/17106.53.0.1 to 106.53.127.254106.53.127.25532,766
108106.53.128.0/17106.53.128.1 to 106.53.255.254106.53.255.25532,766
109106.54.0.0/17106.54.0.1 to 106.54.127.254106.54.127.25532,766
110106.54.128.0/17106.54.128.1 to 106.54.255.254106.54.255.25532,766
111106.55.0.0/17106.55.0.1 to 106.55.127.254106.55.127.25532,766
112106.55.128.0/17106.55.128.1 to 106.55.255.254106.55.255.25532,766
113106.56.0.0/17106.56.0.1 to 106.56.127.254106.56.127.25532,766
114106.56.128.0/17106.56.128.1 to 106.56.255.254106.56.255.25532,766
115106.57.0.0/17106.57.0.1 to 106.57.127.254106.57.127.25532,766
116106.57.128.0/17106.57.128.1 to 106.57.255.254106.57.255.25532,766
117106.58.0.0/17106.58.0.1 to 106.58.127.254106.58.127.25532,766
118106.58.128.0/17106.58.128.1 to 106.58.255.254106.58.255.25532,766
119106.59.0.0/17106.59.0.1 to 106.59.127.254106.59.127.25532,766
120106.59.128.0/17106.59.128.1 to 106.59.255.254106.59.255.25532,766
121106.60.0.0/17106.60.0.1 to 106.60.127.254106.60.127.25532,766
122106.60.128.0/17106.60.128.1 to 106.60.255.254106.60.255.25532,766
123106.61.0.0/17106.61.0.1 to 106.61.127.254106.61.127.25532,766
124106.61.128.0/17106.61.128.1 to 106.61.255.254106.61.255.25532,766
125106.62.0.0/17106.62.0.1 to 106.62.127.254106.62.127.25532,766
126106.62.128.0/17106.62.128.1 to 106.62.255.254106.62.255.25532,766
127106.63.0.0/17106.63.0.1 to 106.63.127.254106.63.127.25532,766
128106.63.128.0/17106.63.128.1 to 106.63.255.254106.63.255.25532,766
129106.64.0.0/17106.64.0.1 to 106.64.127.254106.64.127.25532,766
130106.64.128.0/17106.64.128.1 to 106.64.255.254106.64.255.25532,766
131106.65.0.0/17106.65.0.1 to 106.65.127.254106.65.127.25532,766
132106.65.128.0/17106.65.128.1 to 106.65.255.254106.65.255.25532,766
133106.66.0.0/17106.66.0.1 to 106.66.127.254106.66.127.25532,766
134106.66.128.0/17106.66.128.1 to 106.66.255.254106.66.255.25532,766
135106.67.0.0/17106.67.0.1 to 106.67.127.254106.67.127.25532,766
136106.67.128.0/17106.67.128.1 to 106.67.255.254106.67.255.25532,766
137106.68.0.0/17106.68.0.1 to 106.68.127.254106.68.127.25532,766
138106.68.128.0/17106.68.128.1 to 106.68.255.254106.68.255.25532,766
139106.69.0.0/17106.69.0.1 to 106.69.127.254106.69.127.25532,766
140106.69.128.0/17106.69.128.1 to 106.69.255.254106.69.255.25532,766
141106.70.0.0/17106.70.0.1 to 106.70.127.254106.70.127.25532,766
142106.70.128.0/17106.70.128.1 to 106.70.255.254106.70.255.25532,766
143106.71.0.0/17106.71.0.1 to 106.71.127.254106.71.127.25532,766
144106.71.128.0/17106.71.128.1 to 106.71.255.254106.71.255.25532,766
145106.72.0.0/17106.72.0.1 to 106.72.127.254106.72.127.25532,766
146106.72.128.0/17106.72.128.1 to 106.72.255.254106.72.255.25532,766
147106.73.0.0/17106.73.0.1 to 106.73.127.254106.73.127.25532,766
148106.73.128.0/17106.73.128.1 to 106.73.255.254106.73.255.25532,766
149106.74.0.0/17106.74.0.1 to 106.74.127.254106.74.127.25532,766
150106.74.128.0/17106.74.128.1 to 106.74.255.254106.74.255.25532,766
151106.75.0.0/17106.75.0.1 to 106.75.127.254106.75.127.25532,766
152106.75.128.0/17106.75.128.1 to 106.75.255.254106.75.255.25532,766
153106.76.0.0/17106.76.0.1 to 106.76.127.254106.76.127.25532,766
154106.76.128.0/17106.76.128.1 to 106.76.255.254106.76.255.25532,766
155106.77.0.0/17106.77.0.1 to 106.77.127.254106.77.127.25532,766
156106.77.128.0/17106.77.128.1 to 106.77.255.254106.77.255.25532,766
157106.78.0.0/17106.78.0.1 to 106.78.127.254106.78.127.25532,766
158106.78.128.0/17106.78.128.1 to 106.78.255.254106.78.255.25532,766
159106.79.0.0/17106.79.0.1 to 106.79.127.254106.79.127.25532,766
160106.79.128.0/17106.79.128.1 to 106.79.255.254106.79.255.25532,766
161106.80.0.0/17106.80.0.1 to 106.80.127.254106.80.127.25532,766
162106.80.128.0/17106.80.128.1 to 106.80.255.254106.80.255.25532,766
163106.81.0.0/17106.81.0.1 to 106.81.127.254106.81.127.25532,766
164106.81.128.0/17106.81.128.1 to 106.81.255.254106.81.255.25532,766
165106.82.0.0/17106.82.0.1 to 106.82.127.254106.82.127.25532,766
166106.82.128.0/17106.82.128.1 to 106.82.255.254106.82.255.25532,766
167106.83.0.0/17106.83.0.1 to 106.83.127.254106.83.127.25532,766
168106.83.128.0/17106.83.128.1 to 106.83.255.254106.83.255.25532,766
169106.84.0.0/17106.84.0.1 to 106.84.127.254106.84.127.25532,766
170106.84.128.0/17106.84.128.1 to 106.84.255.254106.84.255.25532,766
171106.85.0.0/17106.85.0.1 to 106.85.127.254106.85.127.25532,766
172106.85.128.0/17106.85.128.1 to 106.85.255.254106.85.255.25532,766
173106.86.0.0/17106.86.0.1 to 106.86.127.254106.86.127.25532,766
174106.86.128.0/17106.86.128.1 to 106.86.255.254106.86.255.25532,766
175106.87.0.0/17106.87.0.1 to 106.87.127.254106.87.127.25532,766
176106.87.128.0/17106.87.128.1 to 106.87.255.254106.87.255.25532,766
177106.88.0.0/17106.88.0.1 to 106.88.127.254106.88.127.25532,766
178106.88.128.0/17106.88.128.1 to 106.88.255.254106.88.255.25532,766
179106.89.0.0/17106.89.0.1 to 106.89.127.254106.89.127.25532,766
180106.89.128.0/17106.89.128.1 to 106.89.255.254106.89.255.25532,766
181106.90.0.0/17106.90.0.1 to 106.90.127.254106.90.127.25532,766
182106.90.128.0/17106.90.128.1 to 106.90.255.254106.90.255.25532,766
183106.91.0.0/17106.91.0.1 to 106.91.127.254106.91.127.25532,766
184106.91.128.0/17106.91.128.1 to 106.91.255.254106.91.255.25532,766
185106.92.0.0/17106.92.0.1 to 106.92.127.254106.92.127.25532,766
186106.92.128.0/17106.92.128.1 to 106.92.255.254106.92.255.25532,766
187106.93.0.0/17106.93.0.1 to 106.93.127.254106.93.127.25532,766
188106.93.128.0/17106.93.128.1 to 106.93.255.254106.93.255.25532,766
189106.94.0.0/17106.94.0.1 to 106.94.127.254106.94.127.25532,766
190106.94.128.0/17106.94.128.1 to 106.94.255.254106.94.255.25532,766
191106.95.0.0/17106.95.0.1 to 106.95.127.254106.95.127.25532,766
192106.95.128.0/17106.95.128.1 to 106.95.255.254106.95.255.25532,766
193106.96.0.0/17106.96.0.1 to 106.96.127.254106.96.127.25532,766
194106.96.128.0/17106.96.128.1 to 106.96.255.254106.96.255.25532,766
195106.97.0.0/17106.97.0.1 to 106.97.127.254106.97.127.25532,766
196106.97.128.0/17106.97.128.1 to 106.97.255.254106.97.255.25532,766
197106.98.0.0/17106.98.0.1 to 106.98.127.254106.98.127.25532,766
198106.98.128.0/17106.98.128.1 to 106.98.255.254106.98.255.25532,766
199106.99.0.0/17106.99.0.1 to 106.99.127.254106.99.127.25532,766
200106.99.128.0/17106.99.128.1 to 106.99.255.254106.99.255.25532,766
201106.100.0.0/17106.100.0.1 to 106.100.127.254106.100.127.25532,766
202106.100.128.0/17106.100.128.1 to 106.100.255.254106.100.255.25532,766
203106.101.0.0/17106.101.0.1 to 106.101.127.254106.101.127.25532,766
204106.101.128.0/17106.101.128.1 to 106.101.255.254106.101.255.25532,766
205106.102.0.0/17106.102.0.1 to 106.102.127.254106.102.127.25532,766
206106.102.128.0/17106.102.128.1 to 106.102.255.254106.102.255.25532,766
207106.103.0.0/17106.103.0.1 to 106.103.127.254106.103.127.25532,766
208106.103.128.0/17106.103.128.1 to 106.103.255.254106.103.255.25532,766
209106.104.0.0/17106.104.0.1 to 106.104.127.254106.104.127.25532,766
210106.104.128.0/17106.104.128.1 to 106.104.255.254106.104.255.25532,766
211106.105.0.0/17106.105.0.1 to 106.105.127.254106.105.127.25532,766
212106.105.128.0/17106.105.128.1 to 106.105.255.254106.105.255.25532,766
213106.106.0.0/17106.106.0.1 to 106.106.127.254106.106.127.25532,766
214106.106.128.0/17106.106.128.1 to 106.106.255.254106.106.255.25532,766
215106.107.0.0/17106.107.0.1 to 106.107.127.254106.107.127.25532,766
216106.107.128.0/17106.107.128.1 to 106.107.255.254106.107.255.25532,766
217106.108.0.0/17106.108.0.1 to 106.108.127.254106.108.127.25532,766
218106.108.128.0/17106.108.128.1 to 106.108.255.254106.108.255.25532,766
219106.109.0.0/17106.109.0.1 to 106.109.127.254106.109.127.25532,766
220106.109.128.0/17106.109.128.1 to 106.109.255.254106.109.255.25532,766
221106.110.0.0/17106.110.0.1 to 106.110.127.254106.110.127.25532,766
222106.110.128.0/17106.110.128.1 to 106.110.255.254106.110.255.25532,766
223106.111.0.0/17106.111.0.1 to 106.111.127.254106.111.127.25532,766
224106.111.128.0/17106.111.128.1 to 106.111.255.254106.111.255.25532,766
225106.112.0.0/17106.112.0.1 to 106.112.127.254106.112.127.25532,766
226106.112.128.0/17106.112.128.1 to 106.112.255.254106.112.255.25532,766
227106.113.0.0/17106.113.0.1 to 106.113.127.254106.113.127.25532,766
228106.113.128.0/17106.113.128.1 to 106.113.255.254106.113.255.25532,766
229106.114.0.0/17106.114.0.1 to 106.114.127.254106.114.127.25532,766
230106.114.128.0/17106.114.128.1 to 106.114.255.254106.114.255.25532,766
231106.115.0.0/17106.115.0.1 to 106.115.127.254106.115.127.25532,766
232106.115.128.0/17106.115.128.1 to 106.115.255.254106.115.255.25532,766
233106.116.0.0/17106.116.0.1 to 106.116.127.254106.116.127.25532,766
234106.116.128.0/17106.116.128.1 to 106.116.255.254106.116.255.25532,766
235106.117.0.0/17106.117.0.1 to 106.117.127.254106.117.127.25532,766
236106.117.128.0/17106.117.128.1 to 106.117.255.254106.117.255.25532,766
237106.118.0.0/17106.118.0.1 to 106.118.127.254106.118.127.25532,766
238106.118.128.0/17106.118.128.1 to 106.118.255.254106.118.255.25532,766
239106.119.0.0/17106.119.0.1 to 106.119.127.254106.119.127.25532,766
240106.119.128.0/17106.119.128.1 to 106.119.255.254106.119.255.25532,766
241106.120.0.0/17106.120.0.1 to 106.120.127.254106.120.127.25532,766
242106.120.128.0/17106.120.128.1 to 106.120.255.254106.120.255.25532,766
243106.121.0.0/17106.121.0.1 to 106.121.127.254106.121.127.25532,766
244106.121.128.0/17106.121.128.1 to 106.121.255.254106.121.255.25532,766
245106.122.0.0/17106.122.0.1 to 106.122.127.254106.122.127.25532,766
246106.122.128.0/17106.122.128.1 to 106.122.255.254106.122.255.25532,766
247106.123.0.0/17106.123.0.1 to 106.123.127.254106.123.127.25532,766
248106.123.128.0/17106.123.128.1 to 106.123.255.254106.123.255.25532,766
249106.124.0.0/17106.124.0.1 to 106.124.127.254106.124.127.25532,766
250106.124.128.0/17106.124.128.1 to 106.124.255.254106.124.255.25532,766
251106.125.0.0/17106.125.0.1 to 106.125.127.254106.125.127.25532,766
252106.125.128.0/17106.125.128.1 to 106.125.255.254106.125.255.25532,766
253106.126.0.0/17106.126.0.1 to 106.126.127.254106.126.127.25532,766
254106.126.128.0/17106.126.128.1 to 106.126.255.254106.126.255.25532,766
255106.127.0.0/17106.127.0.1 to 106.127.127.254106.127.127.25532,766
256106.127.128.0/17106.127.128.1 to 106.127.255.254106.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses